Bug 8615 - Custom Debian Sarge 3.1 - kde - 15 tests failed, 88 of 119 tests passed. (140 attempted)
Summary: Custom Debian Sarge 3.1 - kde - 15 tests failed, 88 of 119 tests passed. (140...
Status: ASSIGNED
Alias: None
Product: Portland
Classification: Unclassified
Component: test-report (show other bugs)
Version: 1.0
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Waldo Bastian
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-12 04:59 UTC by Florian Maier
Modified: 2009-07-27 05:30 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Maier 2006-10-12 04:59:36 UTC
FAILURE SUMMARY

FAILURE SUMMARY
[Do Okt 12 13:45:24 CEST 2006] test_simple_menu_item_user_install: verify a
basic desktop file is installed in the user's applications menu: FAIL 
[Do Okt 12 13:45:51 CEST 2006] test_menu_user_install: verify a user menu is
created correctly: FAIL 
[Do Okt 12 13:46:20 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'AudioVideo' category: FAIL 
[Do Okt 12 13:46:23 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Game' category: FAIL 
[Do Okt 12 13:46:31 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Office' category: FAIL 
[Do Okt 12 13:46:40 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'System' category: FAIL 
[Do Okt 12 13:46:43 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Education' category: FAIL 
[Do Okt 12 13:46:49 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Graphics' category: FAIL 
[Do Okt 12 13:46:56 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Network' category: FAIL 
[Do Okt 12 13:47:05 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Utility' category: FAIL 
[Do Okt 12 13:47:08 CEST 2006] test_menu_advanced_install: verify submenus are
handled correctly: FAIL 
[Do Okt 12 13:49:58 CEST 2006] test_email_attach: verify attach argument works:
FAIL 
[Do Okt 12 13:50:22 CEST 2006] test_email_attach_full_path: verify attach
argument works: FAIL 
[Do Okt 12 13:53:47 CEST 2006] test_desktop_file_icon: ensure that associations
with filetypes is correct.: FAIL 
[Do Okt 12 13:54:19 CEST 2006] test_desktop_menu_icon: ensure that icons show up
correctly in menu.: FAIL 
[Do Okt 12 13:45:24 CEST 2006] test_simple_menu_item_user_install: verify a
basic desktop file is installed in the user's applications menu: FAIL 
[Do Okt 12 13:45:51 CEST 2006] test_menu_user_install: verify a user menu is
created correctly: FAIL 
[Do Okt 12 13:46:20 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'AudioVideo' category: FAIL 
[Do Okt 12 13:46:23 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Game' category: FAIL 
[Do Okt 12 13:46:31 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Office' category: FAIL 
[Do Okt 12 13:46:40 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'System' category: FAIL 
[Do Okt 12 13:46:43 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Education' category: FAIL 
[Do Okt 12 13:46:49 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Graphics' category: FAIL 
[Do Okt 12 13:46:56 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Network' category: FAIL 
[Do Okt 12 13:47:05 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Utility' category: FAIL 
[Do Okt 12 13:47:08 CEST 2006] test_menu_advanced_install: verify submenus are
handled correctly: FAIL 
[Do Okt 12 13:49:58 CEST 2006] test_email_attach: verify attach argument works:
FAIL 
[Do Okt 12 13:50:22 CEST 2006] test_email_attach_full_path: verify attach
argument works: FAIL 
[Do Okt 12 13:53:47 CEST 2006] test_desktop_file_icon: ensure that associations
with filetypes is correct.: FAIL 
[Do Okt 12 13:54:19 CEST 2006] test_desktop_menu_icon: ensure that icons show up
correctly in menu.: FAIL 

WARNINGS SUMMARY

WARNINGS SUMMARY
[Do Okt 12 13:47:15 CEST 2006] test_email_basic: verify basic email compose: WARN 
[Do Okt 12 13:47:44 CEST 2006] test_email_basic: verify basic email compose: WARN 
[Do Okt 12 13:48:00 CEST 2006] test_cc_args: verify cc/bcc/subject/body/attach
arguments work: WARN 
[Do Okt 12 13:48:49 CEST 2006] test_multi_address: verify multiple to/cc/bcc
arguments work: WARN 
[Do Okt 12 13:49:08 CEST 2006] test_email_uri_multi_address: verify uri email
compose: WARN 
[Do Okt 12 13:49:26 CEST 2006] test_email_mix_args_uri: verify an email is
generated correctly when called with both a uri and not.: WARN 
[Do Okt 12 13:51:11 CEST 2006] test_open_basic: verify basic file open test.: WARN 
[Do Okt 12 13:51:28 CEST 2006] test_open_dir: verify basic directory open test.:
WARN 
[Do Okt 12 13:51:38 CEST 2006] test_open_url: HTTP open test.: WARN 
[Do Okt 12 13:51:49 CEST 2006] test_open_html: open 'testfile.html': WARN 
[Do Okt 12 13:52:01 CEST 2006] test_open_html: open './testfile.html': WARN 
[Do Okt 12 13:52:09 CEST 2006] test_open_abs_path_html: open absolute path of
the form '/path/file.html': WARN 
[Do Okt 12 13:52:16 CEST 2006] test_open_abs_path_html: open absolute path of
the form 'file:///path/file.html': WARN 
[Do Okt 12 13:53:19 CEST 2006] test_default_mime_launch: verify we can install a
mime type & associate it with an application: WARN 
[Do Okt 12 13:53:23 CEST 2006] test_file_icon: ensure that associations with
filetypes is correct.: WARN 
[Do Okt 12 13:47:15 CEST 2006] test_email_basic: verify basic email compose: WARN 
[Do Okt 12 13:47:44 CEST 2006] test_email_basic: verify basic email compose: WARN 
[Do Okt 12 13:48:00 CEST 2006] test_cc_args: verify cc/bcc/subject/body/attach
arguments work: WARN 
[Do Okt 12 13:48:49 CEST 2006] test_multi_address: verify multiple to/cc/bcc
arguments work: WARN 
[Do Okt 12 13:49:08 CEST 2006] test_email_uri_multi_address: verify uri email
compose: WARN 
[Do Okt 12 13:49:26 CEST 2006] test_email_mix_args_uri: verify an email is
generated correctly when called with both a uri and not.: WARN 
[Do Okt 12 13:51:11 CEST 2006] test_open_basic: verify basic file open test.: WARN 
[Do Okt 12 13:51:28 CEST 2006] test_open_dir: verify basic directory open test.:
WARN 
[Do Okt 12 13:51:38 CEST 2006] test_open_url: HTTP open test.: WARN 
[Do Okt 12 13:51:49 CEST 2006] test_open_html: open 'testfile.html': WARN 
[Do Okt 12 13:52:01 CEST 2006] test_open_html: open './testfile.html': WARN 
[Do Okt 12 13:52:09 CEST 2006] test_open_abs_path_html: open absolute path of
the form '/path/file.html': WARN 
[Do Okt 12 13:52:16 CEST 2006] test_open_abs_path_html: open absolute path of
the form 'file:///path/file.html': WARN 
[Do Okt 12 13:53:19 CEST 2006] test_default_mime_launch: verify we can install a
mime type & associate it with an application: WARN 
[Do Okt 12 13:53:23 CEST 2006] test_file_icon: ensure that associations with
filetypes is correct.: WARN 

FAILURE SUMMARY

[Do Okt 12 13:45:24 CEST 2006] test_simple_menu_item_user_install: verify a
basic desktop file is installed in the user's applications menu: FAIL 
[Do Okt 12 13:45:51 CEST 2006] test_menu_user_install: verify a user menu is
created correctly: FAIL 
[Do Okt 12 13:46:20 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'AudioVideo' category: FAIL 
[Do Okt 12 13:46:23 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Game' category: FAIL 
[Do Okt 12 13:46:31 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Office' category: FAIL 
[Do Okt 12 13:46:40 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'System' category: FAIL 
[Do Okt 12 13:46:43 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Education' category: FAIL 
[Do Okt 12 13:46:49 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Graphics' category: FAIL 
[Do Okt 12 13:46:56 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Network' category: FAIL 
[Do Okt 12 13:47:05 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Utility' category: FAIL 
[Do Okt 12 13:47:08 CEST 2006] test_menu_advanced_install: verify submenus are
handled correctly: FAIL 
[Do Okt 12 13:49:58 CEST 2006] test_email_attach: verify attach argument works:
FAIL 
[Do Okt 12 13:50:22 CEST 2006] test_email_attach_full_path: verify attach
argument works: FAIL 
[Do Okt 12 13:53:47 CEST 2006] test_desktop_file_icon: ensure that associations
with filetypes is correct.: FAIL 
[Do Okt 12 13:54:19 CEST 2006] test_desktop_menu_icon: ensure that icons show up
correctly in menu.: FAIL 

WARNINGS SUMMARY

[Do Okt 12 13:47:15 CEST 2006] test_email_basic: verify basic email compose: WARN 
[Do Okt 12 13:47:44 CEST 2006] test_email_basic: verify basic email compose: WARN 
[Do Okt 12 13:48:00 CEST 2006] test_cc_args: verify cc/bcc/subject/body/attach
arguments work: WARN 
[Do Okt 12 13:48:49 CEST 2006] test_multi_address: verify multiple to/cc/bcc
arguments work: WARN 
[Do Okt 12 13:49:08 CEST 2006] test_email_uri_multi_address: verify uri email
compose: WARN 
[Do Okt 12 13:49:26 CEST 2006] test_email_mix_args_uri: verify an email is
generated correctly when called with both a uri and not.: WARN 
[Do Okt 12 13:51:11 CEST 2006] test_open_basic: verify basic file open test.: WARN 
[Do Okt 12 13:51:28 CEST 2006] test_open_dir: verify basic directory open test.:
WARN 
[Do Okt 12 13:51:38 CEST 2006] test_open_url: HTTP open test.: WARN 
[Do Okt 12 13:51:49 CEST 2006] test_open_html: open 'testfile.html': WARN 
[Do Okt 12 13:52:01 CEST 2006] test_open_html: open './testfile.html': WARN 
[Do Okt 12 13:52:09 CEST 2006] test_open_abs_path_html: open absolute path of
the form '/path/file.html': WARN 
[Do Okt 12 13:52:16 CEST 2006] test_open_abs_path_html: open absolute path of
the form 'file:///path/file.html': WARN 
[Do Okt 12 13:53:19 CEST 2006] test_default_mime_launch: verify we can install a
mime type & associate it with an application: WARN 
[Do Okt 12 13:53:23 CEST 2006] test_file_icon: ensure that associations with
filetypes is correct.: WARN 

======================================================
[Do Okt 12 13:43:48 CEST 2006] TEST RUN START: 
distribution: debian 1.0.1
xdg-utils: 1.0
kde: 3.5.3
gnome: not present (didn't find gnome-session)
xfce: not present (didn't find xfce4-session)
running: kde  
user: normal
uname: Linux morris 2.6.17-1-686 #1 SMP Wed Jul 26 11:32:07 CEST 2006 i686 GNU/Linux
xset data:
-------------------------------------
Keyboard Control:
  auto repeat:  on    key click percent:  0    LED mask:  00000002
  auto repeat delay:  500    repeat rate:  25
  auto repeating keys:  00ffffffdffffbbf
                        fadfffdfffdfe5ef
                        ffffffffffffffff
                        ffffffffffffffff
  bell percent:  0    bell pitch:  332    bell duration:  87
Pointer Control:
  acceleration:  20/10    threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  310    cycle:  600
Colors:
  default colormap:  0x20    BlackPixel:  0    WhitePixel:  65535
Font Path:
 
/usr/X11R6/lib/X11/fonts/misc:unscaled,/usr/X11R6/lib/X11/fonts/misc,/usr/X11R6/lib/X11/fonts/75dpi:unscaled,/usr/X11R6/lib/X11/fonts/75dpi,/usr/X11R6/lib/X11/fonts/100dpi:unscaled,/usr/X11R6/lib/X11/fonts/100dpi,/usr/X11R6/lib/X11/fonts/Type1
Bug Mode: compatibility mode is disabled
DPMS (Energy Star):
  Standby: 1200    Suspend: 1800    Off: 2400
  DPMS is Disabled
Font cache:
  hi-mark (KB): 5120  low-mark (KB): 3840  balance (%): 70
File paths:
  Config file:  /etc/X11/xorg.conf
  Modules path: /usr/X11R6/lib/modules
  Log file:     /var/log/Xorg.0.log
-------------------------------------
[Do Okt 12 13:43:48 CEST 2006] ---- normal user run start: 
[Do Okt 12 13:43:48 CEST 2006] generic_bogus_arg: generic bogus argument
xdg-desktop-icon: PASS
[Do Okt 12 13:43:48 CEST 2006] generic_help: generic help message -
xdg-desktop-icon: PASS
[Do Okt 12 13:43:48 CEST 2006] generic_manual: generic manual -
xdg-desktop-icon: PASS
[Do Okt 12 13:43:49 CEST 2006] generic_no_arg: generic noarg - xdg-desktop-icon:
PASS
[Do Okt 12 13:43:49 CEST 2006] generic_version: generic version arg -
xdg-desktop-icon: PASS
[Do Okt 12 13:43:49 CEST 2006] test_notexist_file_uninstall: verify uninstalling
file does not cause an error if it is not installed.: PASS
[Do Okt 12 13:43:49 CEST 2006] test_plain_file_install: verify text file is
installed correctly on the desktop: PASS
[Do Okt 12 13:43:58 CEST 2006] test_plain_file_uninstall: verify testfile.html
is uninstalled correctly from the desktop: PASS
[Do Okt 12 13:44:33 CEST 2006] test_desktop_icon_install: verify a desktop file
installed correctly on the desktop: PASS
[Do Okt 12 13:44:52 CEST 2006] test_desktop_icon_uninstall: verify desktop file
is uninstalled correctly from the desktop: PASS
[Do Okt 12 13:45:02 CEST 2006] generic_bogus_arg: generic bogus argument
xdg-desktop-menu: PASS
[Do Okt 12 13:45:02 CEST 2006] generic_help: generic help message -
xdg-desktop-menu: PASS
[Do Okt 12 13:45:02 CEST 2006] generic_manual: generic manual -
xdg-desktop-menu: PASS
[Do Okt 12 13:45:02 CEST 2006] generic_no_arg: generic noarg - xdg-desktop-menu:
PASS
[Do Okt 12 13:45:02 CEST 2006] generic_version: generic version arg -
xdg-desktop-menu: PASS
[Do Okt 12 13:45:02 CEST 2006] test_menu_user_forceupdate: verify forceupdate
doesn't error for --mode user: PASS
[Do Okt 12 13:45:02 CEST 2006] test_menu_system_as_nonroot: verify error for
--mode system when run as a normal user: PASS
[Do Okt 12 13:45:24 CEST 2006] test_menu_system_forceupdate: verify forceupdate
doesn't error for --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:45:24 CEST 2006] test_simple_menu_item_user_install: verify a
basic desktop file is installed in the user's applications menu: FAIL 
Unexpected output from 'xdg-desktop-menu install --mode user
xdgtestdata-xdgt2006-10-12-134524.868939000-30690-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

User indicated 'n' instead of 'y' in response to 'Is an item called 'TEST
10-12+55' somewhere in the menu tree, possibly in a menu dedicated to
'Development'?'
Test has already failed. Not bothering to ask 'Please select the menu item 'TEST
10-12+55''
'/home/florian.maier/TEST/xdg-utils-1.0/tests/tmp/xdgt2006-10-12-134524.868939000-30690-17564/xdgtestdata-xdgt2006-10-12-134524.868939000-30690-xdg-test-menu-item-install.tmp'
does not exist
Unexpected output from 'xdg-desktop-menu uninstall --mode user
xdgtestdata-xdgt2006-10-12-134524.868939000-30690-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung
Test has already failed. Not bothering to ask 'Is the menu item 'TEST 10-12+55'
still present?'

[Do Okt 12 13:45:51 CEST 2006] test_menu_user_install: verify a user menu is
created correctly: FAIL 
User indicated 'n' instead of 'y' in response to 'Is there a menu in <main>
called 'MENU 10-12+56'?'
Test has already failed. Not bothering to ask 'Are there exactly 2 items in
'<main>/MENU 10-12+56' called 'EXTRA ITEM' and 'TEST 10-12+56'?'
Test has already failed. Not bothering to ask 'Please select the menu item
'<main>/MENU 10-12+56/TEST 10-12+56''
'/home/florian.maier/TEST/xdg-utils-1.0/tests/tmp/xdgt2006-10-12-134551.206094000-8487-17564/xdgtestdata-xdgt2006-10-12-134551.206094000-8487-xdg-test-menu-item-install.tmp'
does not exist

[Do Okt 12 13:46:00 CEST 2006] test_menu_user_uninstall: verify a user menu is
removed correctly: NORESULT 
User indicated 'n' instead of 'y' in response to 'Is the menu '<main>/MENU
10-12+57 present with items 'EXTRA_ITEM' and 'TEST 10-12+57'
	(NOTE: If you are using KDE, it may take a few seconds to appear.)'
Initilization failed!
[Do Okt 12 13:46:20 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'AudioVideo' category: FAIL 
Unexpected output from 'xdg-desktop-menu install
xdgtestdata-xdgt2006-10-12-134620.112242000-32712-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

User indicated 'n' instead of 'y' in response to 'Is an item called 'TEST
10-12+58' somewhere in the menu tree?
	The item is probably in a menu that is related to 'AudioVideo'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134620.112242000-32712-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

[Do Okt 12 13:46:23 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Game' category: FAIL 
Unexpected output from 'xdg-desktop-menu install
xdgtestdata-xdgt2006-10-12-134623.214729000-15250-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

User indicated 'n' instead of 'y' in response to 'Is an item called 'TEST
10-12+59' somewhere in the menu tree?
	The item is probably in a menu that is related to 'Game'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134623.214729000-15250-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

[Do Okt 12 13:46:31 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Office' category: FAIL 
Unexpected output from 'xdg-desktop-menu install
xdgtestdata-xdgt2006-10-12-134631.833347000-700-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

User indicated 'n' instead of 'y' in response to 'Is an item called 'TEST
10-12+60' somewhere in the menu tree?
	The item is probably in a menu that is related to 'Office'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134631.833347000-700-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

[Do Okt 12 13:46:40 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'System' category: FAIL 
Unexpected output from 'xdg-desktop-menu install
xdgtestdata-xdgt2006-10-12-134640.398337000-16012-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

User indicated 'n' instead of 'y' in response to 'Is an item called 'TEST
10-12+61' somewhere in the menu tree?
	The item is probably in a menu that is related to 'System'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134640.398337000-16012-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

[Do Okt 12 13:46:43 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Education' category: FAIL 
Unexpected output from 'xdg-desktop-menu install
xdgtestdata-xdgt2006-10-12-134643.700881000-1840-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

User indicated 'n' instead of 'y' in response to 'Is an item called 'TEST
10-12+62' somewhere in the menu tree?
	The item is probably in a menu that is related to 'Education'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134643.700881000-1840-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

[Do Okt 12 13:46:49 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Graphics' category: FAIL 
Unexpected output from 'xdg-desktop-menu install
xdgtestdata-xdgt2006-10-12-134649.901103000-12711-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

User indicated 'n' instead of 'y' in response to 'Is an item called 'TEST
10-12+63' somewhere in the menu tree?
	The item is probably in a menu that is related to 'Graphics'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134649.901103000-12711-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

[Do Okt 12 13:46:56 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Network' category: FAIL 
Unexpected output from 'xdg-desktop-menu install
xdgtestdata-xdgt2006-10-12-134656.601091000-6979-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

User indicated 'n' instead of 'y' in response to 'Is an item called 'TEST
10-12+64' somewhere in the menu tree?
	The item is probably in a menu that is related to 'Network'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134656.601091000-6979-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

[Do Okt 12 13:47:05 CEST 2006] test_menu_install_category: verify that the menu
properly supports the 'Utility' category: FAIL 
Unexpected output from 'xdg-desktop-menu install
xdgtestdata-xdgt2006-10-12-134705.285391000-5044-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

User indicated 'n' instead of 'y' in response to 'Is an item called 'TEST
10-12+65' somewhere in the menu tree?
	The item is probably in a menu that is related to 'Utility'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134705.285391000-5044-menu_item_category.desktop'
written to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

[Do Okt 12 13:47:08 CEST 2006] test_menu_advanced_install: verify submenus are
handled correctly: FAIL 
User indicated 'n' instead of 'y' in response to 'Is there a menu in <main>
called 'MENU 10-12+66'?'
Test has already failed. Not bothering to ask 'Are there exactly 3 items in
'<main>/MENU 10-12+66' called 'EXTRA ITEM', 'EXTRA ITEM 2' and 'TEST 10-12+66'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134708.115518000-6313-menu_install.directory
xdgtestdata-xdgt2006-10-12-134708.115518000-6313-menu_item_dummy2.desktop'
written to stderr, as shown below:
stderr:rm: Entfernen von
„/home/florian.maier/.config/menus/applications-merged/user-xdgtestdata-xdgt2006-10-12-134708.menu“
nicht möglich: Keine Berechtigung
Did not find
'xdgtestdata-xdgt2006-10-12-134708.115518000-6313-menu_install.directory' in
'/home/florian.maier/.local:/home/florian.maier/.config'
Test has already failed. Not bothering to ask 'Is there still a menu in <main>
called 'MENU 10-12+66'?'
Test has already failed. Not bothering to ask 'Are there exactly 2 items in
'<main>/MENU 10-12+66' called 'EXTRA ITEM' and 'TEST 10-12+66'?'
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-134708.115518000-6313-menu_install.directory
xdgtestdata-xdgt2006-10-12-134708.115518000-6313-menu_item_test.desktop
xdgtestdata-xdgt2006-10-12-134708.115518000-6313-menu_item_dummy.desktop'
written to stderr, as shown below:
stderr:rm: Entfernen von
„/home/florian.maier/.config/menus/applications-merged/user-xdgtestdata-xdgt2006-10-12-134708.menu“
nicht möglich: Keine Berechtigung

[Do Okt 12 13:47:14 CEST 2006] test_simple_menu_item_system_install: verify a
desktop file is installed in the system applications menu: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:47:14 CEST 2006] test_menu_system_install: verify a system menu is
created correctly: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:47:14 CEST 2006] test_menu_system_uninstall: verify a system menu
is removed correctly: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:47:14 CEST 2006] generic_bogus_arg: generic bogus argument
xdg-email: PASS
[Do Okt 12 13:47:14 CEST 2006] generic_help: generic help message - xdg-email: PASS
[Do Okt 12 13:47:15 CEST 2006] generic_manual: generic manual - xdg-email: PASS
[Do Okt 12 13:47:15 CEST 2006] generic_no_arg: generic noarg - xdg-email: PASS
[Do Okt 12 13:47:15 CEST 2006] generic_version: generic version arg - xdg-email:
PASS
[Do Okt 12 13:47:15 CEST 2006] test_email_basic: verify basic email compose: WARN 
Unexpected output from 'xdg-email 10-12+75@portland.freedesktop.org' written to
stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:47:44 CEST 2006] test_email_basic: verify basic email compose: WARN 
Unexpected output from 'xdg-email mailto:10-12+76@portland.freedesktop.org'
written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:48:00 CEST 2006] test_cc_args: verify cc/bcc/subject/body/attach
arguments work: WARN 
Unexpected output from 'xdg-email --cc cc_10-12+77@portland.freedesktop.org
--bcc bcc_10-12+77@portland.freedesktop.org --subject I am a subject about
10-12+77 --body I am the body. 10-12+77 is short for
xdgt2006-10-12-134800.566691000-12646 to_10-12+77@portland.freedesktop.org'
written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:48:49 CEST 2006] test_multi_address: verify multiple to/cc/bcc
arguments work: WARN 
Unexpected output from 'xdg-email --cc cc-1-10-12+78@portland.freedesktop.org
--bcc bcc-1-10-12+78@portland.freedesktop.org --cc
cc-2-10-12+78@portland.freedesktop.org --bcc
bcc-2-10-12+78@portland.freedesktop.org --subject I am the subject --body I am
the body to-1-10-12+78@portland.freedesktop.org
to-2-10-12+78@portland.freedesktop.org' written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:49:08 CEST 2006] test_email_uri_multi_address: verify uri email
compose: WARN 
Unexpected output from 'xdg-email
mailto:10-12+79@portland.freedesktop.org?to=t2-10-12+79@portland.freedesktop.org&subject=Test%20Subject&cc=cc-10-12+79@portland.freedesktop.org&cc=cc2-10-12+79@portland.freedesktop.org&body=Test%20Body'
written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:49:26 CEST 2006] test_email_mix_args_uri: verify an email is
generated correctly when called with both a uri and not.: WARN 
Unexpected output from 'xdg-email --cc ccarg-10-12+80@portland.freedesktop.org
--subject Subject arg
mailto:10-12+80@portland.freedesktop.org?cc=ccuri-10-12+80@portland.freedesktop.org&body=Body%20URI
t2-10-12+80@portland.freedesktop.org' written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:49:58 CEST 2006] test_email_attach: verify attach argument works:
FAIL 
Unexpected output from 'xdg-email --attach
xdgtestdata-xdgt2006-10-12-134958.210647000-23585-attach.txt
10-12+81@portland.freedesktop.org' written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

User indicated 'n' instead of 'y' in response to 'Is there an attachment?'

[Do Okt 12 13:50:22 CEST 2006] test_email_attach_full_path: verify attach
argument works: FAIL 
Unexpected output from 'xdg-email --attach
/home/florian.maier/TEST/xdg-utils-1.0/tests/tmp/xdgt2006-10-12-135022.619102000-5050-17564/xdgtestdata-xdgt2006-10-12-135022.619102000-5050-attach.txt
10-12+82@portland.freedesktop.org' written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

User indicated 'n' instead of 'y' in response to 'Is there an attachment?'

[Do Okt 12 13:50:41 CEST 2006] test_email_missing_attach: verify an error when
--attach does not have a valid file: PASS
[Do Okt 12 13:50:47 CEST 2006] generic_bogus_arg: generic bogus argument
xdg-icon-resource: PASS
[Do Okt 12 13:50:47 CEST 2006] generic_help: generic help message -
xdg-icon-resource: PASS
[Do Okt 12 13:50:47 CEST 2006] generic_manual: generic manual -
xdg-icon-resource: PASS
[Do Okt 12 13:50:47 CEST 2006] generic_no_arg: generic noarg -
xdg-icon-resource: PASS
[Do Okt 12 13:50:47 CEST 2006] generic_version: generic version arg -
xdg-icon-resource: PASS
[Do Okt 12 13:50:48 CEST 2006] test_icon_duplicate_install: verify red-16.png is
installed correctly after already being installed: PASS
[Do Okt 12 13:50:48 CEST 2006] test_icon_duplicate_install: verify red-22.png is
installed correctly after already being installed: PASS
[Do Okt 12 13:50:48 CEST 2006] test_icon_duplicate_install: verify red-24.png is
installed correctly after already being installed: PASS
[Do Okt 12 13:50:49 CEST 2006] test_icon_duplicate_install: verify red-32.png is
installed correctly after already being installed: PASS
[Do Okt 12 13:50:49 CEST 2006] test_icon_duplicate_install: verify red-48.png is
installed correctly after already being installed: PASS
[Do Okt 12 13:50:49 CEST 2006] test_icon_duplicate_install: verify red-64.png is
installed correctly after already being installed: PASS
[Do Okt 12 13:50:50 CEST 2006] test_icon_duplicate_install: verify red-128.png
is installed correctly after already being installed: PASS
[Do Okt 12 13:50:50 CEST 2006] test_icon_nonexist_uninstall: verify red-16.png
is uninstalled correctly even if it is not installed: PASS
[Do Okt 12 13:50:50 CEST 2006] test_icon_nonexist_uninstall: verify red-22.png
is uninstalled correctly even if it is not installed: PASS
[Do Okt 12 13:50:51 CEST 2006] test_icon_nonexist_uninstall: verify red-24.png
is uninstalled correctly even if it is not installed: PASS
[Do Okt 12 13:50:51 CEST 2006] test_icon_nonexist_uninstall: verify red-32.png
is uninstalled correctly even if it is not installed: PASS
[Do Okt 12 13:50:51 CEST 2006] test_icon_nonexist_uninstall: verify red-48.png
is uninstalled correctly even if it is not installed: PASS
[Do Okt 12 13:50:51 CEST 2006] test_icon_nonexist_uninstall: verify red-64.png
is uninstalled correctly even if it is not installed: PASS
[Do Okt 12 13:50:51 CEST 2006] test_icon_nonexist_uninstall: verify red-128.png
is uninstalled correctly even if it is not installed: PASS
[Do Okt 12 13:50:52 CEST 2006] test_icon_system_as_nonroot: verify error for
--mode system when run as a normal user: PASS
[Do Okt 12 13:50:52 CEST 2006] test_icon_system_install: verify red-16.png is
installed correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:52 CEST 2006] test_icon_system_install: verify red-22.png is
installed correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:52 CEST 2006] test_icon_system_install: verify red-24.png is
installed correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:52 CEST 2006] test_icon_system_install: verify red-32.png is
installed correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:52 CEST 2006] test_icon_system_install: verify red-48.png is
installed correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:52 CEST 2006] test_icon_system_install: verify red-64.png is
installed correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:53 CEST 2006] test_icon_system_install: verify red-128.png is
installed correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:53 CEST 2006] test_icon_system_uninstall: verify red-16.png is
uninstalled correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:53 CEST 2006] test_icon_system_uninstall: verify red-22.png is
uninstalled correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:53 CEST 2006] test_icon_system_uninstall: verify red-24.png is
uninstalled correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:53 CEST 2006] test_icon_system_uninstall: verify red-32.png is
uninstalled correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:53 CEST 2006] test_icon_system_uninstall: verify red-48.png is
uninstalled correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:53 CEST 2006] test_icon_system_uninstall: verify red-64.png is
uninstalled correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:53 CEST 2006] test_icon_system_uninstall: verify red-128.png is
uninstalled correctly with --mode system: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:50:53 CEST 2006] test_icon_user_install: verify red-16.png is
installed correctly: PASS
[Do Okt 12 13:50:53 CEST 2006] test_icon_user_install: verify red-22.png is
installed correctly: PASS
[Do Okt 12 13:50:53 CEST 2006] test_icon_user_install: verify red-24.png is
installed correctly: PASS
[Do Okt 12 13:50:54 CEST 2006] test_icon_user_install: verify red-32.png is
installed correctly: PASS
[Do Okt 12 13:50:54 CEST 2006] test_icon_user_install: verify red-48.png is
installed correctly: PASS
[Do Okt 12 13:50:54 CEST 2006] test_icon_user_install: verify red-64.png is
installed correctly: PASS
[Do Okt 12 13:50:54 CEST 2006] test_icon_user_install: verify red-128.png is
installed correctly: PASS
[Do Okt 12 13:50:55 CEST 2006] test_icon_user_uninstall: verify red-16.png is
uninstalled correctly: PASS
[Do Okt 12 13:50:55 CEST 2006] test_icon_user_uninstall: verify red-22.png is
uninstalled correctly: PASS
[Do Okt 12 13:50:55 CEST 2006] test_icon_user_uninstall: verify red-24.png is
uninstalled correctly: PASS
[Do Okt 12 13:50:56 CEST 2006] test_icon_user_uninstall: verify red-32.png is
uninstalled correctly: PASS
[Do Okt 12 13:50:56 CEST 2006] test_icon_user_uninstall: verify red-48.png is
uninstalled correctly: PASS
[Do Okt 12 13:50:56 CEST 2006] test_icon_user_uninstall: verify red-64.png is
uninstalled correctly: PASS
[Do Okt 12 13:50:56 CEST 2006] test_icon_user_uninstall: verify red-128.png is
uninstalled correctly: PASS
[Do Okt 12 13:50:57 CEST 2006] generic_bogus_arg: generic bogus argument
xdg-mime: PASS
[Do Okt 12 13:50:57 CEST 2006] generic_help: generic help message - xdg-mime: PASS
[Do Okt 12 13:50:57 CEST 2006] generic_manual: generic manual - xdg-mime: PASS
[Do Okt 12 13:50:57 CEST 2006] generic_no_arg: generic noarg - xdg-mime: PASS
[Do Okt 12 13:50:57 CEST 2006] generic_version: generic version arg - xdg-mime: PASS
[Do Okt 12 13:50:57 CEST 2006] test_query_text_plain: verify a query against
testfile.txt returns 'text/plain': PASS
[Do Okt 12 13:50:57 CEST 2006] test_query_missing_file: verify correct error for
missing file: non-existant-file.xml: PASS
[Do Okt 12 13:50:57 CEST 2006] test_system_as_nonroot: verify error for --mode
system when run as a normal user: PASS
[Do Okt 12 13:50:58 CEST 2006] test_user_mime_install: install user mime type: PASS
[Do Okt 12 13:51:01 CEST 2006] test_user_mime_uninstall: uninstall user mime
type: PASS
[Do Okt 12 13:51:02 CEST 2006] test_user_install_missing_file: install mime type
as user with missing file non-existant-file.xml: PASS
[Do Okt 12 13:51:02 CEST 2006] test_notexist_mime_uninstall: uninstall mime type
that is not present: PASS
[Do Okt 12 13:51:03 CEST 2006] test_user_mime_install2in1: install user mime
type 2 in 1 file: PASS
[Do Okt 12 13:51:07 CEST 2006] test_user_mime_uninstall2in1: uninstall user mime
type: PASS
[Do Okt 12 13:51:09 CEST 2006] test_system_mime_install: install system mime
type: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:51:09 CEST 2006] test_system_mime_uninstall: uninstall system mime
type: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:51:09 CEST 2006] test_system_install_missing_file: install mime
type as system with missing file non-existant-file.xml: UNTESTED 
not running as root, but test requires root privileges
[Do Okt 12 13:51:09 CEST 2006] test_double_mime_install: verify installing an
existing mime type is OK: PASS
[Do Okt 12 13:51:11 CEST 2006] generic_bogus_arg: generic bogus argument
xdg-open: PASS
[Do Okt 12 13:51:11 CEST 2006] generic_help: generic help message - xdg-open: PASS
[Do Okt 12 13:51:11 CEST 2006] generic_manual: generic manual - xdg-open: PASS
[Do Okt 12 13:51:11 CEST 2006] generic_no_arg: generic noarg - xdg-open: PASS
[Do Okt 12 13:51:11 CEST 2006] generic_version: generic version arg - xdg-open: PASS
[Do Okt 12 13:51:11 CEST 2006] test_open_basic: verify basic file open test.: WARN 
Unexpected output from 'xdg-open
xdgtestdata-xdgt2006-10-12-135111.361991000-21605-open.txt' written to stderr,
as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:51:28 CEST 2006] test_open_dir: verify basic directory open test.:
WARN 
Unexpected output from 'xdg-open /home/florian.maier/TEST/xdg-utils-1.0/tests'
written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:51:38 CEST 2006] test_open_url: HTTP open test.: WARN 
Unexpected output from 'xdg-open http://portland.freedesktop.org/wiki/' written
to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:51:49 CEST 2006] test_open_html: open 'testfile.html': WARN 
Unexpected output from 'xdg-open testfile.html' written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:52:01 CEST 2006] test_open_html: open './testfile.html': WARN 
Unexpected output from 'xdg-open ./testfile.html' written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:52:09 CEST 2006] test_open_abs_path_html: open absolute path of
the form '/path/file.html': WARN 
Unexpected output from 'xdg-open
/home/florian.maier/TEST/xdg-utils-1.0/tests/tmp/xdgt2006-10-12-135209.892359000-9210-17564/testfile.html'
written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:52:16 CEST 2006] test_open_abs_path_html: open absolute path of
the form 'file:///path/file.html': WARN 
Unexpected output from 'xdg-open
file:///home/florian.maier/TEST/xdg-utils-1.0/tests/tmp/xdgt2006-10-12-135216.692352000-4565-17564/testfile.html'
written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:52:23 CEST 2006] generic_bogus_arg: generic bogus argument
xdg-screensaver: PASS
[Do Okt 12 13:52:24 CEST 2006] generic_help: generic help message -
xdg-screensaver: PASS
[Do Okt 12 13:52:24 CEST 2006] generic_manual: generic manual - xdg-screensaver:
PASS
[Do Okt 12 13:52:24 CEST 2006] generic_no_arg: generic noarg - xdg-screensaver: PASS
[Do Okt 12 13:52:24 CEST 2006] generic_version: generic version arg -
xdg-screensaver: PASS
[Do Okt 12 13:52:24 CEST 2006] test_screensave_status: verify screensaver status
returns 'enabled' or 'disabled': PASS
[Do Okt 12 13:52:24 CEST 2006] test_screensave_suspend_basic: verify screensaver
suspend doesn't error: PASS
[Do Okt 12 13:52:27 CEST 2006] test_screensave_restore_basic: verify screensaver
restore doesn't error: PASS
[Do Okt 12 13:52:31 CEST 2006] test_screensave_activate: verify screensaver
activate: PASS
[Do Okt 12 13:52:45 CEST 2006] test_screensave_reset: verify screensaver reset: PASS
[Do Okt 12 13:52:58 CEST 2006] test_screensave_lock: verify screensaver lock: PASS
[Do Okt 12 13:53:19 CEST 2006] test_default_mime_launch: verify we can install a
mime type & associate it with an application: WARN 
Unexpected output from 'xdg-desktop-menu install
xdgtestdata-xdgt2006-10-12-135319.308877000-15814-mime_launch.desktop' written
to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

Unexpected output from 'xdg-open testfile.xdgt-10-12+173' written to stderr, as
shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca
Unexpected output from 'xdg-desktop-menu uninstall
xdgtestdata-xdgt2006-10-12-135319.308877000-15814-mime_launch.desktop' written
to stderr, as shown below:
stderr:touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung
[Do Okt 12 13:53:23 CEST 2006] test_file_icon: ensure that associations with
filetypes is correct.: WARN 
Unexpected output from 'xdg-open
/home/florian.maier/TEST/xdg-utils-1.0/tests/tmp/xdgt2006-10-12-135323.060536000-7470-17564/show'
written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

[Do Okt 12 13:53:47 CEST 2006] test_desktop_file_icon: ensure that associations
with filetypes is correct.: FAIL 
Unexpected output from 'xdg-open
/home/florian.maier/TEST/xdg-utils-1.0/tests/tmp/xdgt2006-10-12-135347.653330000-30968-17564/show'
written to stderr, as shown below:
stderr:kio (KSycoca): Trying to open ksycoca from
/var/tmp/kdecache-florian.maier/ksycoca

User indicated 'n' instead of 'y' in response to 'Does the icon consist of a red
number?
	(You may need to select something like 'View->As Icons')'

[Do Okt 12 13:54:19 CEST 2006] test_desktop_menu_icon: ensure that icons show up
correctly in menu.: FAIL 
User indicated 'n' instead of 'y' in response to 'Is there a menu in <main>
called 'MENU 10-12+176'?'
Test has already failed. Not bothering to ask 'Does the menu 'MENU 10-12+176'
have a red number as its icon?'
Test has already failed. Not bothering to ask 'Does the menu entry 'TEST
10-12+176' in '<main>/MENU 10-12+176' have a red number as its icon?'

[Do Okt 12 13:54:27 CEST 2006] ---- normal user run end: 15 tests failed, 88 of
119 tests passed. (140 attempted)
[Do Okt 12 13:54:27 CEST 2006] TEST RUN END:  - 15 tests failed, 88 of 119 tests
passed. (140 attempted)
Comment 1 Waldo Bastian 2006-10-16 14:26:16 UTC
The report contains:

touch: kann
„/home/florian.maier/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu“
nicht berühren: Keine Berechtigung

Can you post the permissions of this file and its parent directories?
Comment 2 Florian Maier 2006-10-17 03:48:12 UTC
Here is the listing. I forgot to add that we're generating our menus at user's
login and it's of course possible we might have other permissions than expected.


florian.maier@morris:~$ ls -la /home/florian.maier/.config/menus/
insgesamt 20
drwx------  3 florian.maier limuxuser 4096 2006-10-12 13:39 .
drwx------  3 florian.maier limuxuser 4096 2006-09-13 12:41 ..
-rw-------  1 florian.maier limuxuser 4753 2006-10-17 09:15
applications-kmenuedit.menu
drwx------  2 florian.maier limuxuser 4096 2006-10-12 13:39 applications-merged
lrwxrwxrwx  1 florian.maier limuxuser   19 2006-10-12 13:39
kde-applications-merged -> applications-merged
florian.maier@morris:~$ ls -la
/home/florian.maier/.config/menus/kde-applications-merged/xdg-desktop-menu-dummy.menu
-rw-------  1 florian.maier limuxuser 0 2006-10-12 13:39
/home/florian.maier/.config/menus/kde-applications-merged/xdg-desktop-menu-dummy.menu


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.